> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Maps Search



## OpenAPI

````yaml https://api.notte.cc/openapi.json post /data/maps/search
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.9.8
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: audit
    description: Audit trail of account and workspace changes.
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /data/maps/search:
    post:
      tags:
        - Data APIs
        - data
      summary: Maps Search
      operationId: maps_search
      parameters:
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MapsSearchRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MapsResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os

            import requests

            response = requests.post(
                "https://api.notte.cc/data/maps/search",
                headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
                json={"search": "Blue Bottle Coffee in San Francisco"},
                timeout=330,
            )
            response.raise_for_status()
            print(response.json())
          label: python
        - lang: TypeScript
          source: >-
            const response = await
            fetch("https://api.notte.cc/data/maps/search", {
              method: "POST",
              headers: {
                Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
                "Content-Type": "application/json",
              },
              body: JSON.stringify({
                "search": "Blue Bottle Coffee in San Francisco"
              }),
              signal: AbortSignal.timeout(330_000),
            });

            if (!response.ok) throw new Error(await response.text());

            console.log(await response.json());
          label: node
        - lang: Curl
          source: >-
            curl --fail-with-body --max-time 330 --request POST
            https://api.notte.cc/data/maps/search \
              --header "Authorization: Bearer $NOTTE_API_KEY" \
              --header 'Content-Type: application/json' \
              --data '{
              "search": "Blue Bottle Coffee in San Francisco"
            }'
          label: curl
components:
  schemas:
    MapsSearchRequest:
      properties:
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        search:
          anyOf:
            - type: string
              maxLength: 2000
              minLength: 1
            - type: 'null'
          title: Search
      additionalProperties: false
      type: object
      title: MapsSearchRequest
    MapsResult:
      properties:
        results:
          items:
            $ref: '#/components/schemas/MapsBusiness'
          type: array
          title: Results
      additionalProperties: false
      type: object
      title: MapsResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MapsBusiness:
      properties:
        place_id:
          type: string
          title: Place Id
          default: ''
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        rating:
          anyOf:
            - type: number
              maximum: 5
              minimum: 0
            - type: 'null'
          title: Rating
        number_of_reviews:
          type: integer
          minimum: 0
          title: Number Of Reviews
          default: 0
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
        google_maps_url:
          type: string
          title: Google Maps Url
        about:
          anyOf:
            - type: string
            - type: 'null'
          title: About
        cid:
          anyOf:
            - type: string
            - type: 'null'
          title: Cid
        google_category:
          items:
            type: string
          type: array
          title: Google Category
        google_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Google Description
        google_hours:
          anyOf:
            - items:
                $ref: '#/components/schemas/MapsHours'
              type: array
            - type: 'null'
          title: Google Hours
        google_image:
          anyOf:
            - type: string
            - type: 'null'
          title: Google Image
        google_phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Google Phone
        google_price_range_dollar_sign:
          anyOf:
            - type: string
            - type: 'null'
          title: Google Price Range Dollar Sign
        google_reviews_url:
          type: string
          title: Google Reviews Url
          default: ''
        claimed:
          type: boolean
          title: Claimed
          default: false
        latitude:
          anyOf:
            - type: number
              maximum: 90
              minimum: -90
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: number
              maximum: 180
              minimum: -180
            - type: 'null'
          title: Longitude
        google_orders_urls:
          items:
            $ref: '#/components/schemas/MapsOrderLink'
          type: array
          title: Google Orders Urls
        order_online_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Order Online Url
        borough:
          anyOf:
            - type: string
            - type: 'null'
          title: Borough
        street_addr:
          anyOf:
            - type: string
            - type: 'null'
          title: Street Addr
        street_addr_supplement:
          anyOf:
            - type: string
            - type: 'null'
          title: Street Addr Supplement
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        primary_tags:
          items:
            type: string
          type: array
          title: Primary Tags
        open_status:
          anyOf:
            - type: string
              enum:
                - PERMANENTLY_CLOSED
                - TEMPORARILY_CLOSED
            - type: 'null'
          title: Open Status
      additionalProperties: false
      type: object
      required:
        - google_maps_url
      title: MapsBusiness
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    MapsHours:
      properties:
        day:
          anyOf:
            - type: string
            - type: 'null'
          title: Day
        times:
          items:
            type: string
          type: array
          title: Times
      additionalProperties: false
      type: object
      title: MapsHours
    MapsOrderLink:
      properties:
        link:
          type: string
          title: Link
        platform_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform Name
      additionalProperties: false
      type: object
      required:
        - link
      title: MapsOrderLink
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.